%% Satellite - Scenario 1b, 1c
%
% Assignment 1 in Fuzzy systems
% 
% author:
%   Christos Choutouridis ΑΕΜ 8997
%   cchoutou@ece.auth.gr
%

% 
clear; clc; close all;

% load fuzzy controller
flc = mkFIS();

% test controller
% e=NM  for ex: -0.41
% de=ZR for ex: 0.03
evalfis(flc, [0.41 0.03]);
ruleview(flc);


f1 = figure('Name','FLC surface'); gensurf(fis); grid on;
exportgraphics(f1, sprintf('FLC surface.png'), 'Resolution', 300);
% exportgraphics(f1, sprintf('FLC surface.pdf'));